Get Schedule Sheets

GET /ws/rest/service/v1/schedule/{project_number}

Purpose

Get the list of schedule sheet attributes defined in the project/shell.

Request Format

Path Parameter

project_number: Specify the project/shell number.

URL Parameter

filter: (Optional) Filter condition to be used when retrieving the schedule sheet. It is a JSON object with the below information:

  • "status": The status of the schedule sheet that needs to be retrieved. Valid values include: "active" and "inactive".
  • "main_sheet": The main schedule sheet. Valid values include: "true" for main schedule sheet, or "false" for other non-main schedule sheets.
  • "sheet_lock": The schedule sheets that are locked. Valid values include: "true" to get locked schedule sheets, or "false" to get unlocked schedule sheets.
  • "name": Specify the name of the schedule sheet that needs to be returned in the response.

    Note:

    All fields values of filter condition are case insensitive except the value of "name" field

Sample Request Parameter

This is an example of a filter condition in the request.

{

"filter":

{

"name":"Gas pipeline schedule",

"status": "open"

}

}

Response Format

A JSON object is returned in the following format.

{

"data": [],

"message": [],

"status": <REST status code value>

}

A successful response displays a status code 200.

A failed response displays a message with a status code.

Sample Failed Response

This is an example of a failed response to the request

{

"data": [],

"message": [

"Invalid Filter Condition : status"

],

"status": 811

}